You are not logged in.

#1 2024-01-20 14:31:49

WolfgangW
Member
Registered: 2023-08-06
Posts: 5

Probleme beim installieren von "osm-gps-map-git"

Hallo
Ich möchte osm-gps-map-git aus dem AUR mit Yay installieren.
Programm bricht jedoch ab:

./configure: line 2623: syntax error near unexpected token `git-directory'
./configure: line 2623: `AX_IS_RELEASE(git-directory)'
==> FEHLER: Ein Fehler geschah in build().
    Breche ab...
-> Fehler beim Erstellen: osm-gps-map-git-exit status 4
-> Die folgenden Pakete konnten nicht installiert werden. Ein manueller Eingriff ist erforderlich:
osm-gps-map-git - exit status 4

Was ist das Problem dabei ?

vielen Dank für Eure Hilfe

Offline

#2 2024-01-20 17:20:38

ayekat
Member
Registered: 2011-01-17
Posts: 1,589

Re: Probleme beim installieren von "osm-gps-map-git"

Es scheint als könne autoconf das Makro AX_IS_RELEASE() nicht auflösen, und kopiert es darum einfach 1-zu-1 ins configure-Script.

Ich weiß nicht wo genau, aber irgendwo in autoconf-archive ist das definiert, d.h. es braucht noch ein zusätzliches Makedepend autoconf-archive.

Ich habs im AUR noch kommentiert, eventuell passt es der Maintainer auch an (und sonst halt vorerst selber machen smile).


pkgshackscfgblag

Offline

#3 2024-01-21 05:33:26

WolfgangW
Member
Registered: 2023-08-06
Posts: 5

Re: Probleme beim installieren von "osm-gps-map-git"

Vielen Dank.

Offline

Board footer

Powered by FluxBB